Page MenuHomePhabricator

Switch translatewiki.net to GitHub repository for PdfBook
Closed, ResolvedPublic

Description

Its canonical source is now on GitHub and not in Wikimedia Git/Gerrit anymore, according to the extension maintainer in https://phabricator.wikimedia.org/T124640#1965199

(Filed this as a spin-off from T124978; following the instructions on https://www.mediawiki.org/wiki/Gerrit/Inactive_projects#Actions_to_deactivate_an_unused_repository )

Event Timeline

Aklapper created this task.Aug 23 2016, 2:07 PM

Does @Nad want translations to continue in GitHub?

Nikerabbit assigned this task to Raymond.
Nikerabbit added a subscriber: Raymond.

Assigning to @Raymond for removal from mediawiki-extensions.

Done with Gerrit 306258

Nad added a comment.Aug 24 2016, 3:19 PM

Yes that would be cool if translations can continue across to the Organic Design repo.

Yes that would be cool if translations can continue across to the Organic Design repo.

@Nikerabbit: Do you know what's left to do in this task to resolve this?

Yes, but I need some more time do actually do it.

Nemo_bis renamed this task from Remove Wikimedia Git's mediawiki/extensions/PdfBook to Switch translatewiki.net to GitHub repoository for PdfBook.Sep 4 2016, 9:10 AM
jayvdb renamed this task from Switch translatewiki.net to GitHub repoository for PdfBook to Switch translatewiki.net to GitHub repository for PdfBook.Sep 4 2016, 9:14 AM
Nikerabbit triaged this task as Normal priority.Oct 20 2016, 11:57 PM

As this task has been stuck for four months:
I plan to merge the patch in T124978 by 2017-02-01 (Feb 1st).
If T143684 does not get fixed beforehand, that might create issues for twn.

@Nad, have you already added users "nikerabbit" and "siebrand" to those with push access on the repository? You can also use the user "translatewiki" now.

Nad added a comment.Jan 1 2017, 9:08 AM

Ok invitations sent.

I got an invite for myself, but I did not see an invite for translatewiki, which is the user we are hoping to use for all GitHub projects in the future.

Nad added a comment.Jan 2 2017, 9:48 AM

All three invites were sent, 2 still pending...

Nad added a comment.Jan 2 2017, 9:49 AM

I'll try deleting and adding again...

Change 330202 had a related patch set uploaded (by Nikerabbit):
Add PdfBook from GitHub

https://gerrit.wikimedia.org/r/330202

Change 330202 merged by jenkins-bot:
Add PdfBook from GitHub

https://gerrit.wikimedia.org/r/330202

Nikerabbit closed this task as Resolved.Jan 3 2017, 12:55 PM
Nikerabbit removed a project: Patch-For-Review.
Nikerabbit reopened this task as Open.Jan 5 2017, 7:51 AM

Developers has 4 members and gives pull access to 2 OrganicDesign repositories.

That's not enough.

Nad added a comment.Jan 5 2017, 9:52 AM

Try now...

@Nad the GitHub repository has disappeared without any sign. What's going on?

Nad moved to GitLab, but perhaps he forgot to make the repository public (the importer defaults to private repositories).

More importantly, did he notify translatewiki.net before doing that?

Evidently not. T124978 says the new repo is https://gitlab.com/Aranad/PdfBook . I recommend creating a @translatewiki account immediately with the same email address as in GitHub, so that the importer recognises it in future imports (https://docs.gitlab.com/ee/user/project/import/github.html ).